Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.runtime
Class Timer

    java.lang.Object
      oracle.ifs.core.runtime.Timer

All Implemented Interfaces:
  TimerInterface

    public class Timer

extends java.lang.Object
implements TimerInterface

A Timer is used to perform timing for Servers and other runtime components.

(Published)

Field Summary
`static java.lang.String` | `KEY_DERIVED_TIMERACTIVATIONPERIOD` The Timer Configuration key that holds the derived value for the timer activation period.
`static java.lang.String` | `KEY_DERIVED_TIMERINITIALDELAY` The Timer Configuration key that holds the derived value for the initial timer delay.

Constructor Summary
`Timer()` Constructs a Timer.

Method Summary
`protected java.lang.Long` | `convertTimerInterval(java.lang.String value)` Computes the number of milliseconds in a period of time specified as a string.
`protected java.lang.Long` | `convertTimerInterval(java.lang.String value, java.lang.String daySuffix, java.lang.String hourSuffix, java.lang.String minuteSuffix, java.lang.String secondSuffix)` Computes the number of milliseconds in a period of time specified as a string.
`protected void` | `deriveTimerActivationPeriod()` Derives the activation period, based on the Timer configuration, and stores the derived value backinto the configuration.
`protected void` | `deriveTimerInitialDelay()` Gets the initial delay, based on this Server's configuration parameters.
`java.util.Date` | `getLastActivation()` Gets the time of the last timer expiration.
`java.util.Date` | `getNextActivation()` Gets the time of the next timer expiration.
`protected long` | `getTimerActivationPeriod()` Gets the activation period, based on the Timer configuration.
`protected long` | `getTimerInitialDelay()` Gets the initial delay, based on the Timer configuration.
`void` | `initialize(TimerContext context, AttributeValueTable avt)` Initializes the Timer.
`void` | `reset()` Resets this Timer.
`void` | `start()` Starts the Timer.
`void` | `stop()` Stops this Timer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KEY_DERIVED_TIMERACTIVATIONPERIOD

    public static final java.lang.String KEY_DERIVED_TIMERACTIVATIONPERIOD

  Description copied from class: `Timer`
  The Timer Configuration key that holds the derived value for the timer activation period.

  See Also:
    Constant Field Values
  (Published)

### KEY_DERIVED_TIMERINITIALDELAY

    public static final java.lang.String KEY_DERIVED_TIMERINITIALDELAY

  Description copied from class: `Timer`
  The Timer Configuration key that holds the derived value for the initial timer delay.

  See Also:
    Constant Field Values
  (Published)

Constructor Detail

### Timer

    public Timer()

  Constructs a Timer.

Method Detail

### initialize

    public void initialize(TimerContext context,
                           AttributeValueTable avt)
                    throws IfsException

  Description copied from class: `Timer`
  Initializes the Timer.

  Specified by:
    `initialize` in interface `TimerInterface`
  Parameters:
    `context` - the Timer context (the caller)
    `avt` - the Server properties, which include timer settings
  Throws:
    `IfsException` - if the operation fails

### start

    public void start()

  Description copied from class: `Timer`
  Starts the Timer.

  Specified by:
    `start` in interface `TimerInterface`

### stop

    public void stop()

  Description copied from class: `Timer`
  Stops this Timer.

  Specified by:
    `stop` in interface `TimerInterface`

### reset

    public void reset()

  Description copied from class: `Timer`
  Resets this Timer.

  Specified by:
    `reset` in interface `TimerInterface`

### getLastActivation

    public java.util.Date getLastActivation()

  Description copied from class: `Timer`
  Gets the time of the last timer expiration.

  Specified by:
    `getLastActivation` in interface `TimerInterface`
  Returns:
    the last activation time

### getNextActivation

    public java.util.Date getNextActivation()

  Description copied from class: `Timer`
  Gets the time of the next timer expiration.

  Specified by:
    `getNextActivation` in interface `TimerInterface`
  Returns:
    the next activation time

### deriveTimerActivationPeriod

    protected void deriveTimerActivationPeriod()
                                        throws IfsException

  Description copied from class: `Timer`
  Derives the activation period, based on the Timer configuration, and stores the derived value backinto the configuration.

  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getTimerActivationPeriod

    protected long getTimerActivationPeriod()
                                     throws IfsException

  Description copied from class: `Timer`
  Gets the activation period, based on the Timer configuration.

  Returns:
    the activation period in ms
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### deriveTimerInitialDelay

    protected void deriveTimerInitialDelay()
                                    throws IfsException

  Description copied from class: `Timer`
  Gets the initial delay, based on this Server's configuration parameters.

  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getTimerInitialDelay

    protected long getTimerInitialDelay()
                                 throws IfsException

  Description copied from class: `Timer`
  Gets the initial delay, based on the Timer configuration.

  Returns:
    the initial delay in ms
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### convertTimerInterval

    protected java.lang.Long convertTimerInterval(java.lang.String value)
                                           throws IfsException

  Description copied from class: `Timer`
  Computes the number of milliseconds in a period of time specified as a string.

  For example, convert "36s" to new Long(36000).

  Parameters:
    `value` - string value to be converted
  Returns:
    the time interval, in milliseconds
  Throws:
    `IfsException` - (IFS-45348) if the operation fails
  (Unpublished)

### convertTimerInterval

    protected java.lang.Long convertTimerInterval(java.lang.String value,
                                                  java.lang.String daySuffix,
                                                  java.lang.String hourSuffix,
                                                  java.lang.String minuteSuffix,
                                                  java.lang.String secondSuffix)
                                           throws IfsException

  Description copied from class: `Timer`
  Computes the number of milliseconds in a period of time specified as a string.

  For example, convert "36s" to 36000 ms.

  Parameters:
    `value` - string value to be converted
    `daySuffix` - suffix used for day
    `hourSuffix` - suffix used for hour
    `minuteSuffix` - suffix used for minute
    `secondSuffix` - suffix used for second
  Returns:
    the time interval, in milliseconds
  Throws:
    `IfsException` - (IFS-45348) if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD